/****************************************************************

arch/i386/include/v86.h
V86 declarations for AWOS

See the LICENSE file included with this source for copyright
information.

****************************************************************/

#ifndef ___I386_V86_H_
#define ___I386_V86_H_

#include <kernel.h>
#include <sched.h>
#include <cpuspec.h>	/* struct regs */

extern void k_idle(void);

void KiRestart(void);
void KiV86Enter(uint32_t, uint32_t, uint32_t); // seg, ip, sp
void KiV86Return(struct regs *r);

void KsV86Init(void);
void KsTableSetup(void);

#endif
