/***************************************************************
 *
 * kernel/arch/ppc-open/include/stdint.h
 * POSIX-compliant standard integer type library for AWOS
 *
 * See LICENSE file included with this source for copyright
 * information.
 *
 * NOTE: this is in arch/xxx/include because each arch
 * has its own int types.  hence the whole point of this file.
 * 
 ***************************************************************/

#ifndef ___PPC_STDINT_H_
#define ___PPC_STDINT_H_

typedef signed char		int8_t;
typedef signed short		int16_t;
typedef signed int		int32_t;
typedef signed long		int64_t;

typedef unsigned char		uint8_t;
typedef unsigned short		uint16_t;
typedef unsigned int		uint32_t;
typedef unsigned long		uint64_t;

#endif /* !___PPC_STDINT_H_ */

