/****************************************************************
 *
 * libc/string/memcmp.c
 * stdc library, string book, memcmp chapter
 * for AWOS
 * 
 * See LICENSE file included with this source for copyright
 * information.
 * 
 ***************************************************************/

#include <string.h>

int memcmp(const void *v1, const void *v2, size_t n)
{
	const unsigned char *p1 = v1, *p2 = v2;
	if(n == 0) return 0;
	do
	{
		if(*p1++ != *p2++)
			return(*--p1 - *--p2);
	} while(--n != 0);
	return 0;
};

