/* src/strext/strcnt.c - Count number of occurences of one string in another
 * 
 * (C) 2008 Jacob Myers. All rights reserved.
 * See LICENCE for licensing information
 */

/* Credits go to Matthew Mondor for this function :) Thanks a lot -- Jacob */

#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <assert.h>

int strcnt(const char *big, const char *little)
{
	const char *cptr;
	int count;
	size_t littlelen;

	assert(big != NULL && little != NULL);

	cptr = big;
	count = 0;
	littlelen = strlen(little);
	
	while ((cptr = strstr(cptr, little)) != NULL)
	{
		cptr += littlelen;
		count++;
	}
	
	return count;
}

