/****************************************************************
 *
 * libc/string/strcmp.c
 * string comparison functions for AWOS
 *
 * See LICENSE file included with this source for copyright
 * information.
 *
 ***************************************************************/

#include <string.h>

int strcmp(const char *s1, const char *s2) {
	while (*s1 == *s2++)

	if (*s1++ == 0) 
		return 0;

	return (*(const unsigned char *)s1 - *(const unsigned char *)(s2 - 1));
}

int strncmp(const char *s1, const char *s2, size_t count)
{
	return memcmp(s1, s2, count);
};
