/* src/strext/strnchr.c - Search for nth occurence of string in another string
 * 
 * (C) 2008 Jacob Myers. All rights reserved.
 * See LICENCE for licensing information
 */

#include <stdio.h>
#include <stdbool.h>
#include <string.h>

char *strnchr (const char *s, int c, int n)
{
	int i = 0;

	for (;; ++s) 
	{
		if (*s == (char)c)
			if (++i == n)
				return ((char *)s);
		if (*s == '\0')
			return (NULL);
	}
}

