/****************************************************************
 *
 * libc/string/wmemset.c
 * stdc library, wchar book, wmemset chapter
 * for AWOS
 * 
 * See LICENSE file included with this source for copyright
 * information.
 * 
 ***************************************************************/

#include <wchar.h>

wchar_t *wmemset(wchar_t *s, wchar_t c, size_t n)
{
	wchar_t *a;
	a = (wchar_t *)s;
	for(;n>0;n--)
		*(a++) = c;
	return s;
};

